System.ServiceModel 4.0.0.0 System.ServiceModel.ChannelFactory System.ServiceModel.Channels.IChannelFactory<TChannel> To be added.

This generic class enables more advanced scenarios where there is a requirement to create a channel factory that can be used to create more than one type of channel.

When adding behaviors programmatically, the behavior is added to the appropriate Behaviors property on the prior to the creation of any channel. See the example section for a code sample.

Frequently client or calling applications (for example, middle-tier applications are client applications, too) using this type also have complex state management needs as well as performance needs. For more information about these scenarios, please see Middle-Tier Client Applications.

A factory that creates channels of different types that are used by clients to send messages to variously configured service endpoints.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0

  Use this constructor when you want to pass the binding information programmatically rather than using an application configuration file.

  Initializes a new instance of the class.

  The specified for the channels produced by the factory.
- Constructor
  4.0.0.0

  Use this constructor when you want to pass the service endpoint information programmatically rather than using an application configuration file.

  Initializes a new instance of the class that produces channels with a specified endpoint.

  The for the channels produced by the factory.
- Constructor
  4.0.0.0

  Use this constructor when there is more than one target endpoint in the application configuration file.

  Initializes a new instance of the class with a specified endpoint configuration name.

  The configuration name used for the endpoint.
- Constructor
  4.0.0.0
  To be added.

  Use this constructor when you want to pass the channel type information programmatically rather than using an application configuration file. The parameter must be an interface.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0

  Use this constructor when you want to pass the binding and address information programmatically rather than using an application configuration file.

  Initializes a new instance of the class with a specified binding and endpoint address.

  The used to configure the endpoint.
  The that provides the location of the service.
- Constructor
  4.0.0.0

  Use this constructor when you want to pass the information about the remote address information with a string rather than as a typed object.

  Initializes a new instance of the class with a specified binding and remote address.

  The used to configure the endpoint.
  The address that provides the location of the service.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class associated with a specified name for the endpoint configuration and remote address.

  The configuration name used for the endpoint.
  The that provides the location of the service.
- Method
  4.0.0.0
  TChannel

  Creates a channel of type , the generic parameter for the class.

  Creates a channel of a specified type to a specified endpoint address.

  The of type created by the factory.

- Method
  4.0.0.0
  TChannel `` To be added.

  Creates a channel that is used to send messages to a service at a specific endpoint address.

  The of type created by the factory.

  The that provides the location of the service.
- Method
  4.0.0.0
  TChannel `` To be added.

  Creates a channel that is used to send messages to a service whose endpoint is configured in a specified way.

  The of type created by the factory.

  The name of the endpoint configuration used for the service.
- Method
  4.0.0.0
  TChannel `` `` To be added. To be added.

  Creates a channel of a specified type that is used to send messages to a service endpoint that is configured with a specified binding.

  The of type created by the factory.

  The used to configure the endpoint.
- Method
  4.0.0.0
  TChannel `` `` To be added.

  Creates a channel that is used to send messages to a service at a specific endpoint address through a specified transport address.

  The of type created by the factory.

  The that provides the location of the service. The that contains the transport address to which the channel sends messages.
- Method
  4.0.0.0
  TChannel `` `` `` To be added. To be added.

  Creates a channel of a specified type that is used to send messages to a service endpoint at a specified transport address that is configured with a specified binding.

  The of type created by the factory.

  The used to configure the endpoint. The that contains the transport address to which the channel sends messages.
- Method
  4.0.0.0
  System.ServiceModel.Description.ServiceEndpoint To be added.

  Creates a description of the service endpoint.

  The of the service.